Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## JavaBeans
Class Customer_Data

    java.lang.Object
      JavaBeans.Customer_Data

public class Customer_Data
extends java.lang.Object

Author:
  student This class is being used as a javabean for storing data related to a customer.

Field Summary
`private double` | `account`
`private java.lang.String` | `firstName`
`private java.lang.String` | `lastName`
`private int` | `ncbId`
`private java.lang.String` | `password`
`private java.lang.String` | `preBillingAmount`
`private CoffeePreference_Data` | `preference`
`private java.lang.String` | `userName`
`private java.lang.String` | `verifier`

Constructor Summary
`Customer_Data()`

Method Summary
`double` | `getAccount()` This method is being used for getting the account field.
`java.lang.String` | `getFirstName()` This method is being used for getting the firstName field.
`java.lang.String` | `getLastName()` This method is being used for getting the lastName field.
`int` | `getNcbId()` This method is being used for getting the ncbid field.
`java.lang.String` | `getPassword()` This method is being used for getting the password field.
`java.lang.String` | `getPreBillingAmount()` This method is being used for getting the preBillingAmount field.
`CoffeePreference_Data` | `getPreference()` This method is being used for getting the preference field.
`java.lang.String` | `getUserName()` This method is being used for getting the username field.
`java.lang.String` | `getVerifier()` This method is being used for getting the verifier field.
`void` | `setAccount(double acc)` This method is being used for setting the account field.
`void` | `setFirstName(java.lang.String fName)` This method is being used for setting the firstName field.
`void` | `setLastName(java.lang.String lName)` This method is being used for setting the lastName field.
`void` | `setNcbId(int ncbid)` This method is being used for setting the ncbId field.
`void` | `setPassword(java.lang.String pwd)` This method is being used for setting the password field.
`void` | `setPreBillingAmount(java.lang.String pre)` This method is being used for setting the preBillingAmount field.
`void` | `setPreference(CoffeePreference_Data coffee)` This method is being used for setting the preference field.
`void` | `setUserName(java.lang.String uName)` This method is being used for setting the username field.
`void` | `setVerifier(java.lang.String ver)` This method is being used for setting the verifier field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### account

    private double account

### firstName

    private java.lang.String firstName

### lastName

    private java.lang.String lastName

### ncbId

    private int ncbId

### password

    private java.lang.String password

### preBillingAmount

    private java.lang.String preBillingAmount

### preference

    private CoffeePreference_Data preference

### userName

    private java.lang.String userName

### verifier

    private java.lang.String verifier

Constructor Detail

### Customer_Data

    public Customer_Data()

Method Detail

### getAccount

    public double getAccount()

  This method is being used for getting the account field.

  Returns:
    double Customer's account balance.

### getFirstName

    public java.lang.String getFirstName()

  This method is being used for getting the firstName field.

  Returns:
    String Customer first name.

### getLastName

    public java.lang.String getLastName()

  This method is being used for getting the lastName field.

  Returns:
    String Customer last name.

### getNcbId

    public int getNcbId()

  This method is being used for getting the ncbid field.

  Returns:
    int

### getPassword

    public java.lang.String getPassword()

  This method is being used for getting the password field.

  Returns:
    String Customer password.

### getPreBillingAmount

    public java.lang.String getPreBillingAmount()

  This method is being used for getting the preBillingAmount field.

  Returns:
    String Customer's prebilling amount.

### getPreference

    public CoffeePreference_Data getPreference()

  This method is being used for getting the preference field.

  Returns:
    CoffeePreference_Data Customer's coffee preference.

### getUserName

    public java.lang.String getUserName()

  This method is being used for getting the username field.

  Returns:
    String Customer user name.

### getVerifier

    public java.lang.String getVerifier()

  This method is being used for getting the verifier field.

  Returns:
    String Customer's password verifier.

### setAccount

    public void setAccount(double acc)

  This method is being used for setting the account field.

  Parameters:
    `acc` - Customer's account balance.
  Returns:
    void

### setFirstName

    public void setFirstName(java.lang.String fName)

  This method is being used for setting the firstName field.

  Parameters:
    `fName` - Customer first name.
  Returns:
    void

### setLastName

    public void setLastName(java.lang.String lName)

  This method is being used for setting the lastName field.

  Parameters:
    `lName` - Customer last name.
  Returns:
    void

### setNcbId

    public void setNcbId(int ncbid)

  This method is being used for setting the ncbId field.

  Parameters:
    `ncbid` - Customer's Ncb Id assigned by TMS.
  Returns:
    void

### setPassword

    public void setPassword(java.lang.String pwd)

  This method is being used for setting the password field.

  Parameters:
    `pwd` - Customer password.
  Returns:
    void

### setPreBillingAmount

    public void setPreBillingAmount(java.lang.String pre)

  This method is being used for setting the preBillingAmount field.

  Parameters:
    `pre` - Customer's prebilling amount.
  Returns:
    void

### setPreference

    public void setPreference(CoffeePreference_Data coffee)

  This method is being used for setting the preference field.

  Parameters:
    `coffee` - Customer's coffee preference.
  Returns:
    void

### setUserName

    public void setUserName(java.lang.String uName)

  This method is being used for setting the username field.

  Parameters:
    `uName` - Customer user name.
  Returns:
    void

### setVerifier

    public void setVerifier(java.lang.String ver)

  This method is being used for setting the verifier field.

  Parameters:
    `ver` - Customer's password verifier.
  Returns:
    void

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD